# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Checklist',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
            ],
            options={
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='CompletedStep',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
            ],
            options={
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Step',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('order', models.PositiveIntegerField(editable=False, db_index=True)),
                ('description', models.TextField(default=b'')),
                ('checklist', models.ForeignKey(related_name='steps', to='checklist.Checklist')),
            ],
            options={
                'ordering': ('order',),
                'abstract': False,
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Worksheet',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('checklist', models.ForeignKey(related_name='worksheets', to='checklist.Checklist')),
            ],
            options={
            },
            bases=(models.Model,),
        ),
        migrations.AddField(
            model_name='completedstep',
            name='step',
            field=models.ForeignKey(related_name='completed_set', to='checklist.Step'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='completedstep',
            name='worksheet',
            field=models.ForeignKey(related_name='completed_steps', to='checklist.Worksheet'),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name='completedstep',
            unique_together=set([('worksheet', 'step')]),
        ),
    ]
