"""
WSGI config for isitdeployable project.

It exposes the WSGI callable as a module-level variable named ``application``.

"""

import os

import django

os.environ.setdefault("DJANGO_SETTINGS_MODULE", "django_project.settings_base")
django.setup()

from django.conf import settings  # noqa
from revtracker.wsgi import make_app  # noqa

app = make_app()


def application(environ, start_response):
    # Patch environment if we should be serving https
    if getattr(settings, 'USE_HTTPS'):
        environ['HTTPS'] = 'on'
        environ['wsgi.url_scheme'] = 'https'

    return app(environ, start_response)
