YUIRELEASES := http://yui.zenfs.com/releases/yui3/
YUI := yui_3.15.0.zip
JS_BUILD_PATH = build/revtracker/js/combo
JS_META_SCRIPT = $(PYTHON) scripts/js/generate_meta.py
REVTRACKER_JS = revtracker/static/js/
DEV_JS_FILES := $(wildcard $(REVTRACKER_JS)/*.js)
BUILD_JS_FILES := $(patsubst $(REVTRACKER_JS)/%.js,$(JS_BUILD_PATH)/i/%.js,$(DEV_JS_FILES))

$(JS_BUILD_PATH)/revno:
	bzr log --limit 1 | head -n2 | tail -n1 | sed 's/[^0-9]*//' | sed 's/\[merge\]//' > $(JS_BUILD_PATH)/revno

js: js_dirs jsmin $(JS_BUILD_PATH)/i/meta.js $(JS_BUILD_PATH)/revno

js_dirs: $(JS_BUILD_PATH)/i $(JS_BUILD_PATH)/y

$(JS_BUILD_PATH)/i:
	mkdir -p $(JS_BUILD_PATH)/i

$(JS_BUILD_PATH)/y: build/yui
	mkdir -p $(JS_BUILD_PATH)/y
	cp -r branches/yui-min/build/* $(JS_BUILD_PATH)/y
	rm -rf branches/yui-min

build/yui:
	mkdir -p build/yui
	#wget $(YUIRELEASES)$(YUI) -O /tmp/$(YUI)
	#unzip /tmp/$(YUI) -d build

jsmin: $(BUILD_JS_FILES)
	rm $(JS_BUILD_PATH)/i/meta.js || true
	$(PYTHON) scripts/js/jsmin_all.py $(JS_BUILD_PATH)/i

$(BUILD_JS_FILES): $(DEV_JS_FILES)
	cp $(REVTRACKER_JS)/$(@F) $@

$(JS_BUILD_PATH)/i/meta.js: $(BUILD_JS_FILES)
	$(JS_META_SCRIPT) -n YUI_MODULES -s $(JS_BUILD_PATH)/i/ \
		-o $(JS_BUILD_PATH)/i/meta.js \
		-x -min.js$

clean_js:
	rm -rf $(JS_BUILD_PATH)/* || true
	rm -rf jsdoc || true

.PHONY: js js_dirs jsmin clean_js
