YUI().use("node", "isitdeployable-editor", "io", "cookie", "json-parse", function(Y) {
    var csrf_token = Y.Cookie.get("csrftoken");
    Y.all(".step").each(function(node) {
        var step_id = node.getAttribute('data-id');
        function save_description(text, after_save, save_failed) {
            Y.io('/checklist/api/v1/step/' + step_id + '/+set-description' ,{
                method: 'POST',
                data: {
                    description: text
                },
                headers: {
                    'X-CSRFToken': csrf_token
                },
                on: {
                    success: function(tid, response, args) {
                        var response = Y.JSON.parse(response.responseText);
                        if (response.status == 'ok') {
                            after_save.call(this, response.description);
                        } else {
                            console.log(response);
                            alert("Saving failed, please try again");
                            save_failed.call(this);
                        }
                    },
                    failure: function(tid, response, args) {
                        console.log(response);
                        alert("Saving failed, please try again");
                        save_failed.call(this);
                    }
                },
                context: this
            });
        }

        var editor = new Y.isitdeployable.Editor({
            srcNode: node,
            save_callback: save_description
        });
        editor.render();
    });
});
