YUI.add("isitdeployable-editor", function(Y) {

    var TEMPLATE_NAME = 'editor';
    var template = Y.isitdeployable.Templating.compile_template(TEMPLATE_NAME);

    Y.namespace("isitdeployable").Editor = Y.Base.create("editor", Y.Widget, [], {
        controls: function(e) {
            return this.get('boundingBox').one('.editor_controls');
        },
        editor: function(e) {
            return this.get('boundingBox').one('.editor');
        },
        formatted: function(e) {
            return this.get('boundingBox').one('.editor_formatted');
        },
        cancel: function(e) {
            var editor_controls = this.controls();
            editor_controls.one('.cancel_link').hide();
            editor_controls.one('.save_link').hide();
            editor_controls.one('.edit_link').show();
            this.editor().hide();
            this.formatted().show();
            this.editor().set('value', this.get('raw'));
            e.preventDefault();
        },
        edit: function(e) {
            var editor_controls = this.controls();
            editor_controls.one('.cancel_link').show();
            editor_controls.one('.save_link').show();
            editor_controls.one('.edit_link').hide();
            this.editor().show();
            this.formatted().hide();
            e.preventDefault();
        },
        save: function(e) {
            this.editor().setAttribute('disabled', true);
            this.get('save_callback').call(this, this.editor().get('value'), this.saved);
            e.preventDefault();
        },
        saved: function(data) {
            var html = template(data);
            this.set('raw', data.raw)
            this.get('contentBox').setHTML(html);
        },
        save_failed: function() {
            this.editor().setAttribute('disabled', false);
        },
        renderUI: function() {
        },
        syncUI: function() {
        },
        bindUI: function() {
            var boundingBox = this.get('boundingBox');
            boundingBox.delegate('click', Y.bind(this.edit, this), '.edit_link');
            boundingBox.delegate('click', Y.bind(this.cancel, this), '.cancel_link');
            boundingBox.delegate('click', Y.bind(this.save, this), '.save_link');
        },
    }, {
        ATTRS: {
            raw: {
                value: ''
            },
            save_callback: {
                value: function() {
                }
            }
        },
        HTML_PARSER: {
            raw: function(contentBox) {
                return contentBox.one('textarea').get('value');
            }
        }
    });
}, "0.0.1", {requires: ["base-build", "widget", "oop", "isitdeployable-templating"] });
