YUI().use("node", "isitdeployable-revision", "isitdeployable-templating", "json-parse", function (Y) {

    var csrf_input = Y.one("input[name=csrfmiddlewaretoken]");
    var csrf_token;
    if (csrf_input) {
        csrf_token = csrf_input.getAttribute("value");
        Y.isitdeployable.Templating.set_csrf_token(csrf_token);
    }
    Y.isitdeployable.Templating.register_partials();
    Y.isitdeployable.Templating.set_include_project(true);
    Y.isitdeployable.Templating.set_include_assignee(false);
    var user_info = Y.JSON.parse(Y.one("#flag_info").getAttribute("data"));
    var flag_info = Y.JSON.parse(Y.one("#user_info").getAttribute("data"));
    Y.isitdeployable.Templating.set_user(user_info);
    Y.isitdeployable.Templating.set_flags(flag_info);

    var person_name = Y.one('h1').get('text');
    var refresh_url = '/api/v1/person/' + person_name;

    var revision_list = new Y.isitdeployable.RevisionList({
        srcNode: "#revision_list",
        response_revision_list_attr: 'revisions_needing_qa',
        refresh_url: refresh_url
    });

    function make_revision_recurse(revision_node) {
        var revision = new Y.isitdeployable.Revision({
            srcNode: revision_node,
            refresh_url: refresh_url
        });
        var children = revision_node.all('.revision_wrapper');
        children.each(function(child_node) {
            child_revision = make_revision_recurse(child_node);
            revision.add(child_revision);
        });
        return revision;
    };

    function make_revision(revision_node) {
        if (revision_node.ancestor('.revision', false)) {
            return;
        }
        revision_list.add(make_revision_recurse(revision_node));
    }

    Y.all('.revision_wrapper').each(make_revision);
    revision_list.render('#revision_list_wrapper');

    revision_list.grabFocus();
    window.scrollTo(0, 0);
});

