from django.conf.urls import patterns, include, url
from django.contrib.comments import urls as comments_urls

api_v1_urls = patterns('revtracker.views',
    url(r'^project/(?P<project_name>[\w\-]+)$', 'api_v1_project'),
    url(r'^project/(?P<project_name>[\w\-]+)/\+set-deployed$', 'api_v1_project_set_deployed'),
    url(r'^project/(?P<project_name>[\w\-]+)/\+revision-by-pk/(?P<pk>[\d]+)/\+change-status$', 'api_v1_project_change_revision_status'),
    url(r'^project/(?P<project_name>[\w\-]+)/\+set-description$', 'api_v1_project_set_description', name="api_v1_project_set_description"),
    url(r'^person/(?P<person_name>[\w\.\-]+)$', 'api_v1_person'),
)

urlpatterns = patterns('revtracker.views',
    url(r'^$', 'index', name="index"),
    url(r'^help$', 'help', name="help"),
    url(r'^project/(?P<project_name>[\w\-]+)$', 'project', name="project_view"),
    url(r'^project/(?P<project_name>[\w\-]+)/\+revision-by-pk/(?P<pk>[\d]+)/\+change-status$', 'project_change_revision_status', name="project_change_revision_status"),
    url(r'^project/(?P<project_name>[\w\-]+)/\+revision-by-pk/(?P<pk>[\d]+)/\+set-rollback$', 'project_set_revision_rollback', name="project_set_revision_rollback"),
    url(r'^project/(?P<project_name>[\w\-]+)/\+deployment-request/(?P<pk>[\d]+)$', 'deployment_request', name="deployment_request"),
    url(r'^project/(?P<project_name>[\w\-]+)/deployment-checklist$', 'project_checklist', name="project_checklist"),
    url(r'^person/(?P<person_name>[\w\.\-]+)$', 'person', name="person_view"),
    url(r'^comments/', include(comments_urls)),
    url(r'^deployment-requests/$', 'deployment_requests', name="deployment_requests"),

    url(r'^api/v1/', include(api_v1_urls)),
)

